Bug 169910 - [NEW PORT] www/trac-childtickets: Support for having child-tickets in Trac
Summary: [NEW PORT] www/trac-childtickets: Support for having child-tickets in Trac
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ruslan Makhmatkhanov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-07-16 14:40 UTC by Radim Kolar
Modified: 2012-08-16 20:40 UTC (History)
1 user (show)

See Also:


Attachments
.shar (3.13 KB, text/plain)
2012-07-16 14:40 UTC, Radim Kolar
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Radim Kolar 2012-07-16 14:40:03 UTC
Having child-tickets is extremely useful when it comes to
managing multiple releases (ie. a single 'bug-report' ticket and
a single 'bug-fix' ticket for each milestone/branch of
development), for managing sub-tasks of an issue and for managing
'bug-fixes' required when developing a new (larger) enhancement.

This plugin modifies the ticket description box and adds a child
ticket listing table and a 'create' button for adding new child
tickets. It has the following features:

It is possible to control in trac.ini the following aspects of
child-ticket creation/viewing:

    allow/disallow child-tickets for a certain type of ticket
    to define the table headers displayed in the parent ticket
    to define a default for the child type to be created
    restrict the type of child-tickets
    to define which fields are inherited by child-tickets

WWW:	http://trac-hacks.org/wiki/ChildTicketsPlugin

Generated with FreeBSD Port Tools 0.99_6 (mode: new)
Comment 1 Ruslan Makhmatkhanov freebsd_committer 2012-08-15 09:59:06 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rm

I will take it.
Comment 2 dfilter service freebsd_committer 2012-08-16 20:34:01 UTC
Author: rm
Date: Thu Aug 16 19:33:50 2012
New Revision: 302655
URL: http://svn.freebsd.org/changeset/ports/302655

Log:
  Having child-tickets is extremely useful when it comes to
  managing multiple releases (ie. a single 'bug-report' ticket and
  a single 'bug-fix' ticket for each milestone/branch of
  development), for managing sub-tasks of an issue and for managing
  'bug-fixes' required when developing a new (larger) enhancement.
  
  This plugin modifies the ticket description box and adds a child
  ticket listing table and a 'create' button for adding new child
  tickets. It has the following features:
  
  It is possible to control in trac.ini the following aspects of
  child-ticket creation/viewing:
  
      allow/disallow child-tickets for a certain type of ticket
      to define the table headers displayed in the parent ticket
      to define a default for the child type to be created
      restrict the type of child-tickets
      to define which fields are inherited by child-tickets
  
  WWW: http://trac-hacks.org/wiki/ChildTicketsPlugin
  
  PR:		169910
  Submitted by:	Radim Kolar <hsn@sendmail.cz>

Added:
  head/www/trac-childtickets/
  head/www/trac-childtickets/Makefile   (contents, props changed)
  head/www/trac-childtickets/distinfo   (contents, props changed)
  head/www/trac-childtickets/files/
  head/www/trac-childtickets/files/pkg-message.in   (contents, props changed)
  head/www/trac-childtickets/pkg-descr   (contents, props changed)
Modified:
  head/www/Makefile

Modified: head/www/Makefile
==============================================================================
--- head/www/Makefile	Thu Aug 16 19:04:50 2012	(r302654)
+++ head/www/Makefile	Thu Aug 16 19:33:50 2012	(r302655)
@@ -1851,6 +1851,7 @@
     SUBDIR += trac-bzr
     SUBDIR += trac-calendar
     SUBDIR += trac-ccselector
+    SUBDIR += trac-childtickets
     SUBDIR += trac-codetags
     SUBDIR += trac-customfieldadmin
     SUBDIR += trac-customroadmap

Added: head/www/trac-childtickets/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/www/trac-childtickets/Makefile	Thu Aug 16 19:33:50 2012	(r302655)
@@ -0,0 +1,35 @@
+# New ports collection makefile for:	trac-childtickets
+# Date created:				2012-08-16
+# Whom:					Radim Kolar <hsn@sendmail.cz>
+#
+# $FreeBSD$
+#
+
+PORTNAME=	childtickets
+PORTVERSION=	2.5.2
+CATEGORIES=	www devel python
+MASTER_SITES=	http://schema.filez.com/distfiles/
+PKGNAMEPREFIX=	trac-
+
+MAINTAINER=	hsn@sendmail.cz
+COMMENT=	Support for having child-tickets in Trac
+
+LICENSE=	BSD
+
+RUN_DEPENDS+=	trac>=0.12:${PORTSDIR}/www/trac
+
+USE_ZIP=	yes
+
+WRKSRC=		${WRKDIR}/childticketsplugin/0.12
+
+USE_PYTHON=	-2.7
+USE_PYDISTUTILS=	easy_install
+PYDISTUTILS_PKGNAME=	Tracchildtickets
+
+SUB_FILES=	pkg-message
+PLIST_FILES=	%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%
+
+post-install:
+	@${CAT} ${PKGMESSAGE}
+
+.include <bsd.port.mk>

Added: head/www/trac-childtickets/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/www/trac-childtickets/distinfo	Thu Aug 16 19:33:50 2012	(r302655)
@@ -0,0 +1,2 @@
+SHA256 (childtickets-2.5.2.zip) = a806a3e2f47cf4d36ad1ad6ec35153088580e38e61458d4d5e00a06eaabd17ae
+SIZE (childtickets-2.5.2.zip) = 15305

Added: head/www/trac-childtickets/files/pkg-message.in
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/www/trac-childtickets/files/pkg-message.in	Thu Aug 16 19:33:50 2012	(r302655)
@@ -0,0 +1,2 @@
+See plugin homepage http://trac-hacks.org/wiki/ChildTicketsPlugin for
+more information about post install configuration.

Added: head/www/trac-childtickets/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/www/trac-childtickets/pkg-descr	Thu Aug 16 19:33:50 2012	(r302655)
@@ -0,0 +1,20 @@
+Having child-tickets is extremely useful when it comes to
+managing multiple releases (ie. a single 'bug-report' ticket and
+a single 'bug-fix' ticket for each milestone/branch of
+development), for managing sub-tasks of an issue and for managing
+'bug-fixes' required when developing a new (larger) enhancement.
+
+This plugin modifies the ticket description box and adds a child
+ticket listing table and a 'create' button for adding new child
+tickets. It has the following features:
+
+It is possible to control in trac.ini the following aspects of
+child-ticket creation/viewing:
+
+    allow/disallow child-tickets for a certain type of ticket
+    to define the table headers displayed in the parent ticket
+    to define a default for the child type to be created
+    restrict the type of child-tickets
+    to define which fields are inherited by child-tickets
+
+WWW: http://trac-hacks.org/wiki/ChildTicketsPlugin
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Ruslan Makhmatkhanov freebsd_committer 2012-08-16 20:35:45 UTC
State Changed
From-To: open->closed

Committed with little changes, thank you!